# H235_NonStandardParameter Class Reference

`#include <h235.h>`

Inheritance diagram for H235_NonStandardParameter:

List of all members.

## Public Member Functions

| H235_NonStandardParameter (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_ObjectId | m_nonStandardIdentifier
PASN_OctetString | m_data

## Constructor & Destructor Documentation

H235_NonStandardParameter::H235_NonStandardParameter | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_NonStandardParameter::GetDataLength | ( |  | ) | const

PBoolean H235_NonStandardParameter::Decode | ( | PASN_Stream & | strm | ) |

void H235_NonStandardParameter::Encode | ( | PASN_Stream & | strm | ) | const

void H235_NonStandardParameter::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_NonStandardParameter::Compare | ( | const PObject & | obj | ) | const

PObject* H235_NonStandardParameter::Clone | ( |  | ) | const

## Member Data Documentation

PASN_ObjectId H235_NonStandardParameter::m_nonStandardIdentifier

PASN_OctetString H235_NonStandardParameter::m_data

The documentation for this class was generated from the following file:

- h235.h